#include <stdlib.h>
#include "gpio.h"
#include "log.h"

int main(int argc, char *argv[])
{
  if (Gpio_setup() != 0)
    return EXIT_FAILURE;
  atexit(Gpio_cleanup);

  log(LINFO, "System ready.");

  for (;;) {
    Gpio_poll_buttons();
  }
}
